/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the MessengerSettingsProfilePhoto type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &MessengerSettingsProfilePhoto{}

// MessengerSettingsProfilePhoto struct for MessengerSettingsProfilePhoto
type MessengerSettingsProfilePhoto struct {
	MimeType string `json:"mime_type"`
	Binary string `json:"binary"`
}

// NewMessengerSettingsProfilePhoto instantiates a new MessengerSettingsProfilePhoto object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewMessengerSettingsProfilePhoto(mimeType string, binary string) *MessengerSettingsProfilePhoto {
	this := MessengerSettingsProfilePhoto{}
	this.MimeType = mimeType
	this.Binary = binary
	return &this
}

// NewMessengerSettingsProfilePhotoWithDefaults instantiates a new MessengerSettingsProfilePhoto object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewMessengerSettingsProfilePhotoWithDefaults() *MessengerSettingsProfilePhoto {
	this := MessengerSettingsProfilePhoto{}
	return &this
}

// GetMimeType returns the MimeType field value
func (o *MessengerSettingsProfilePhoto) GetMimeType() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.MimeType
}

// GetMimeTypeOk returns a tuple with the MimeType field value
// and a boolean to check if the value has been set.
func (o *MessengerSettingsProfilePhoto) GetMimeTypeOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.MimeType, true
}

// SetMimeType sets field value
func (o *MessengerSettingsProfilePhoto) SetMimeType(v string) {
	o.MimeType = v
}

// GetBinary returns the Binary field value
func (o *MessengerSettingsProfilePhoto) GetBinary() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Binary
}

// GetBinaryOk returns a tuple with the Binary field value
// and a boolean to check if the value has been set.
func (o *MessengerSettingsProfilePhoto) GetBinaryOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Binary, true
}

// SetBinary sets field value
func (o *MessengerSettingsProfilePhoto) SetBinary(v string) {
	o.Binary = v
}

func (o MessengerSettingsProfilePhoto) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o MessengerSettingsProfilePhoto) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["mime_type"] = o.MimeType
	toSerialize["binary"] = o.Binary
	return toSerialize, nil
}

type NullableMessengerSettingsProfilePhoto struct {
	value *MessengerSettingsProfilePhoto
	isSet bool
}

func (v NullableMessengerSettingsProfilePhoto) Get() *MessengerSettingsProfilePhoto {
	return v.value
}

func (v *NullableMessengerSettingsProfilePhoto) Set(val *MessengerSettingsProfilePhoto) {
	v.value = val
	v.isSet = true
}

func (v NullableMessengerSettingsProfilePhoto) IsSet() bool {
	return v.isSet
}

func (v *NullableMessengerSettingsProfilePhoto) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableMessengerSettingsProfilePhoto(val *MessengerSettingsProfilePhoto) *NullableMessengerSettingsProfilePhoto {
	return &NullableMessengerSettingsProfilePhoto{value: val, isSet: true}
}

func (v NullableMessengerSettingsProfilePhoto) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableMessengerSettingsProfilePhoto) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


